[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoGetPrinterState

Gets the value for the PrinterState property.

## Declaration

Source position: printers.pas line 292

`protected function TPrinter.DoGetPrinterState: TPrinterState; virtual;`

## Function result

Value for the property.

## Description

DoGetPrinterState returns the printer state. DoGetPrinterState is declared as a virtual method so that it may be overridden in a descendent class to perform the actions needed to determine the printer state for the implementation.

Remark: | In TPrinter, DoGetPrinterState always returns the value psNoDefine. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.

## See also

TPrinter.PrinterState |  | Indicates the current state for the print device.